Как установить Adobe Acrobat в Ubuntu 16.04?

75

Я знаю поток Как установить пакет Adobe Acrobat Reader, загруженный с веб-сайта Adobe? Однако нет Linux больше на сайте установки здесь . Неудачные попытки

  • Я предлагаю предложение DriraWassim, которое ничего не добавляет к apt-get и не показывает установленный пакет .deb в пути / поиске

    sudo apt-get install libxml2:i386 
    sudo apt-get update
    sudo apt-get upgrade 
    apt-cache search adobereader-enu
    

    Я загружаю новейший пакет .deb здесь и запустите его. Я не могу найти приложение в любом месте системы. Это не путь, а не поиск Ubuntu. Как вы можете начать?

Система: Ubuntu 16.04, 64 бит
Аппаратное обеспечение: Macbook Air 2013-mid
Ядро Linux: 4.6

    
задан Léo Léopold Hertz 준영 05.05.2016 в 12:50
источник

6 ответов

87

Я следил за советами ниже на Kubuntu 16.04 64 бит:

sudo add-apt-repository "deb http://archive.canonical.com/ precise partner"
sudo apt-get update
sudo apt install adobereader-enu

После правильной установки Adobe Reader не забудьте удалить репозиторий Canonical Partners для Precise:

sudo add-apt-repository -r "deb http://archive.canonical.com/ precise partner"
sudo apt update
    
ответ дан A.Pereira 31.07.2016 в 22:17
источник
27

Для Adobe Reader 9.5.5 (выполняется без вины)

Не добавляйте репозиторий партнеров Ubuntu 12.04, вы не должны добавлять репозитории из предыдущих версий Ubuntu! Получите Deb из здесь ( источник - это также связано в вопросе), нет, он не будет автоматически обновляться, но поскольку он больше не поддерживается (и Ubuntu не может исправлять уязвимости для него в Ubuntu 12.04, так или иначе, потому что это является собственностью), это не имеет значения. Есть меньше шансов, что вы погубите свою систему, если получите ее таким образом.

Если вы не можете найти / запустить Adobe Reader, вам нужно будет запустить sudo apt -f install для разрешения зависимостей. Если он все еще не работает, попробуйте sudo apt install libxml2:i386 .

Это, конечно, очень устаревшая версия Adobe Reader, но это не ошибка Ubuntu, Adobe не обновила клиент Linux Adobe Reader. Однако вы можете получить более новую версию, используя описанный ниже процесс (это устанавливает версию Adobe Reader на Ubuntu для Windows).

Для Adobe Reader DC 1501020056 (работает с Wine 1.9)

  1. Установить PlayOnLinux
  2. Загрузка PlayOnLinux
  3. Нажмите «Установить» (на панели инструментов).
  4. Введите «Adobe Acrobat Reader DC» в строке поиска
  5. Нажмите «Adobe Acrobat Reader DC»
  6. Нажмите «Установить» (внизу справа)
  7. Следуйте экранам установки
  8. После установки нажмите «Adobe Acrobat Reader DC»
  9. Нажмите «Выполнить» (на панели инструментов).

Вам нужно будет открыть PlayOnLinux для запуска Adobe Reader DC каждый раз (обратите внимание, что вы можете установить это вместе с Adobe Reader 9.5.5). Вы можете перетащить файл рабочего стола в Launcher, чтобы получить там кнопку, вы также можете добавить значок для него в Ubuntu Dash, используя Alacarte («Главное меню»). Я могу добавить инструкции для этого позже. К сожалению, даже эта версия полностью не обновлена ​​(вероятно, в этой версии также есть уязвимые уязвимости безопасности, и Wine также устарела, хотя это не имеет значения). Чтобы установить последнюю версию Reader, DC или не DC, вам нужно сделать это вручную, используя PlayOnLinux. Я могу написать инструкции для этого или написать скрипт POL, чтобы сделать это позже.

    
ответ дан Ads20000 20.11.2016 в 23:49
13

Да, но поддержка была удалена. Проверьте это и следуйте инструкциям по установке:

  
  1. Откройте терминал, нажав Ctrl + Alt + T на клавиатуре. Когда он откроется, вставьте приведенную ниже команду и нажмите Enter, чтобы добавить репозиторий:

    sudo add-apt-repository "deb http://archive.canonical.com/ precise partner"
    
         

    Введите пароль пользователя при запросе. Обратите внимание, что при вводе пароля нет визуальной обратной связи.

  2.   
  3. После того, как вы добавили репозиторий, обновите список пакетов и установите пакет acroread, выполнив ниже команды один за другим:

    sudo apt-get update
    sudo apt-get install acroread
    
         

    После установки вы сможете открыть его из титры Unity или меню приложения.

  4.   
  5. После правильной установки Adobe Reader не забудьте удалить репозиторий Canonical Partners для Precise:

    sudo add-apt-repository -r "deb http://archive.canonical.com/ precise partner"
    sudo apt-get update
    
  6.   
  7. Как установить Adobe Reader в качестве PDF-читателя по умолчанию:

  8.   

Запустите команду ниже в терминале, чтобы отредактировать файл конфигурации:

    sudo gedit /etc/gnome/defaults.list
     

Когда файл открывается, выполните:

     

Узнать и изменить строку

application/pdf=evince.desktop
     

в

application/pdf=acroread.desktop
     

Добавьте строку ниже в конец:

application/fdf=acroread.desktop
application/xdp=acroread.desktop
application/xfdf=acroread.desktop
application/pdx=acroread.desktop
     

Наконец, сохраните файл и перезапустите nautilus (выполните команду nautilus -q в терминале), чтобы применить изменения.

    
ответ дан Mookey 05.05.2016 в 12:57
7

Установка зависимостей для считывателя adobe

sudo apt-get install gtk2-engines-murrine:i386 libcanberra-gtk-module:i386 libatk-adaptor:i386 libgail-common:i386

Установите Adobe Reader, используя следующие команды

sudo add-apt-repository "deb http://archive.canonical.com/ precise partner" 
sudo apt-get update 
sudo apt-get install adobereader-enu

После установки вам необходимо удалить точный репозиторий, используя следующие команды

sudo add-apt-repository -r "deb http://archive.canonical.com/ precise partner" 
sudo apt-get update

Для Конфигурации Я написал статью breif Установка Adobe Reader в Ubuntu 16.04 / 16.06

    
ответ дан MC Naveen 10.04.2017 в 18:50
7

Вы можете просто загрузить здесь .deb: ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb

и установите его, открыв этот файл.

Если вы получили сообщение об ошибке adobereader-enu:i386 , запустите:

sudo apt-get install libgtk2.0-0
sudo apt-get -f install

Затем снова установите файл .deb, и вы должны быть отсортированы.

    
ответ дан wordsforthewise 27.05.2017 в 06:04
2

Я обнаружил, что:

sudo apt install adoberead-enu

... выдает ошибку о том, что он не смог найти пакет adoberead-Гумилев. Однако, когда я это сделал:

sudo apt install adoberead-bin:i386

... он работал, и результат, похоже, является рабочим Adobe Reader.

Я использую Ubuntu 16.04.

    
ответ дан Rolf Turner 27.09.2016 в 05:50